@media (min-width: 1680px) and (max-width: 1950px)
{
	:root {
		--gap-main: 50px;
		--font0: 64px;
		--font1: 32px;
		--font-text: 24px;
		--font-button: 26px;
	}

	.text-main {
		line-height: 1.7em;
	}

	.button {
		padding: calc((var(--gap-main)) / 4) calc((var(--gap-main)) / 2);
	}

	.header {
		height: 125px;
	}

	.logo-header {
		height: 120px;
		width: 120px;
		background-size: 110px 110px;
	}

	.progress-ring {
		margin: -20px 0px 0px -20px;
		height: 200px !important;
		width: 200px !important;
	}

	.greeting {
		margin-bottom: var(--gap-main);
		padding-top: 70px;
		display: flex;
		flex-direction: row;
	}

	.canvas {
		height: calc(100vh - 70px);
	}

	.separator-arrowed {
		padding: 200px;
	}

	.tutor__title {
		margin-top: 300px;
		font-size: 78px;
	}

	.tutor__description {
		margin-bottom: 200px;
		font-size: 32px;
		letter-spacing: 2px;
	}

	.tutor-image {
		margin-top: 110px;
	}

	.about-me__item {
		margin: 0px;
		padding: 10px 10px 10px 40px;
		background-size: 25px 25px;
		line-height: 1.5;
	}

	.prices__item {
		width: 30px;
		aspect-ratio: 1;
		margin-top: -5px;
	}

	.booking-content {
		padding: 0px 150px;
	}

	.input-group {
		font-size: calc(0.7 * var(--font1));
		margin-bottom: calc((var(--font1)) / 2);
	}

	.input-group__input {
		border-radius: 40px;
	}

	.input-group__text {
		height: 15vw;
		border-radius: 40px;
	}

	.feedback__person-date {
		margin-bottom: -10px;
	}

	.feedback__button {
		border-radius: 20px;
		padding: 20px;
		margin: 0px 20px 20px 0px;
	}

	.footer__columns {
		width: calc(100% - 150px - var(--gap-main));
	}

	.footer__left {
		height: 225px;
	}

	.footer__right {
		height: 225px;
	}

	.footer-logo {
		width: 150px;
		height: 135px;
	}

	.footer__copyright {
		font-size: var(--font-text);
		margin-right: 20px;
	}

	.footer__main_text {
		margin: 0px;
		margin-top: -20px;
		margin-bottom: 0px;
		font-size: var(--font0);
		letter-spacing: 2px;
	}

	.footer__text {
		margin: 0px;
		font-size: 18px;
		white-space: pre;
		line-height: 1.2em;
	}

	.footer__city {
		margin: -15px 0px -15px 0px;
		font-size: calc(1.5 * var(--font1));
		text-align: right;
	}

	.footer__city-small {
		font-size: var(--font1);
		text-align: right;
		margin-top: -5px;
		margin-bottom: 0px;
	}

	.all_rights_date{
		margin-top: 0px;
	}
}

@media (min-width: 1440px) and (max-width: 1679px)
{
	:root {
		--gap-main: 25px;
		--font0: 32px;
		--font1: 24px;
		--font-text: 16px;
		--font-button: 18px;
	}

	.container {
		padding: 0 var(--gap-main);  
	}

	.left-adaptive {
		width: calc(100% - 250px - var(--gap-main));
		height: 370px;
		display: flex;
		flex-direction: column;
		justify-content: space-between;
	}

	.right-adaptive {
		width: 250px;
		height: 370px;
	}

	.text-main {
		line-height: 1.5em;
	}

	.button {
		padding: calc((var(--gap-main)) / 8) var(--gap-main);
	}

	.adaptive-button {
		margin: 0px 15px 15px 0px;		
	}

	.button:before, .adaptive-button:before {
		top: -10px;
		left:-10px;
		width: calc(100% + 20px);
		height: calc(100% + 20px);
	}

	.header {
		height: 100px;
	}

	.second-title {
		padding-bottom: 50px;
	}

	.logo-header {
		height: 90px;
		width: 90px;
		background-size: 78px 78px;
	}

	.progress-ring {
		margin: -15px 0px 0px -15px;
		height: 150px !important;
		width: 150px !important;
	}

	.languages__img {
		width: 35px;
		aspect-ratio: 1;
	}

	.languages__text {
		font-size: calc(0.7 * var(--font-text));
	}

	.greeting {
		padding-top: 70px;
		display: flex;
		flex-direction: row;
	}

	.canvas {
		height: calc(100vh - 50px);
		max-height: 780px;
	}

	.separator-arrowed {
		padding: 100px;
	}

	.separator-arrowed__div {
		width: 250px;
		height: 70px;
		background-size: 250px 70px;
	}

	.tutor__title {
		margin-top: 150px;
		font-size: 64px;
	}

	.tutor__description {
		margin-bottom: 200px;
		font-size: 24px;
		letter-spacing: 2px;
	}

	.tutor-image {
		margin-top: 65px;
	}

	.tutor-image__person {
		width: 300px;
		height: 350px;
		top: 100px;
		background-size: 300px 350px;
	}

	.tutor-image__wheel {
		width: 300px;
		height: 300px;
		top: 100px;
		background-size: 300px 300px;
	}

	.about-me__item {
		margin: 0px;
		padding: 10px 10px 10px 40px;
		background-size: 25px 25px;
		line-height: 1.5;
	}

	.yandex_education {
		width: 100%;
		height: 370px;
		background-size: 250px 370px;
		border-radius: var(--gap-main);
	}

	.left-adaptive .button {
		display: none;
	}

	.yandex_education__adaptive-button {
		display: block;
		text-align: right;
	}

	.subject__img {
		width: 200px;
		height: 133px;
		background-size: 200px 133px;
	}

	.prices__item {
		width: 20px;
		aspect-ratio: 1;
		margin-top: -10px;
	}

	.education-programm__icon {
		width: 220px;
		height: 200px;
	}

	.ep1, .ep2 {
		background-size: 120px 120px;
		margin: 25px var(--gap-main) -25px 0px;
	}

	.ep3 {
		background-size: 150px 150px;
	}

	.ep4 {
		background-size: 170px 170px;
	}

	.ep5, .ep6, .ep7 {
		background-size: 200px 200px;
	}

	.advantages-list__item {
		margin: 0px;
		padding: 25px 0px 25px 60px;
		background-size: 40px 40px;
		line-height: 1.5;
	}

	.accordion__button {
		padding: var(--gap-main) 0px var(--gap-main) var(--gap-main);
		font-size: var(--font1);
		background-size: 15px 25px;
	}

	.is-open button {
		background-size: 50px 25px;
	}

	.booking-content {
		padding: 0px 120px;
	}

	.booking-form {
		padding: 120px 0px 50px 0px;
	}

	.input-group {
		font-size: calc(0.7 * var(--font1));
		margin-bottom: calc((var(--font1)) / 2.5);
	}

	.input-group__input {
		border-radius: 25px;
	}

	.input-group__text {
		height: 17vw;
		border-radius: 25px;
	}

	#lti {
		margin-top: -15px;
	}

	.feedback__profi {
		width: 100%;
		height: 165vw;
		background-size: calc(100% - 2 * var(--gap-main)) 165vw;
	}

	.feedback__person-date {
		line-height: 1.2vw;
		margin-top: 10px;
		margin-bottom: -20px;
	}

	.feedback__button {
		border-radius: 15px;
		padding: 15px;
		margin: 0px 15px 15px 0px;
	}

	.footer__columns {
		width: calc(100% - 120px - var(--gap-main));
	}

	.footer__left {
		height: 175px;
	}

	.footer__right {
		height: 175px;
	}

	.footer-logo {
		width: 120px;
		height: 110px;
	}

	.footer__copyright {
		font-size: calc(1.5 * var(--font-text));
		margin-right: 20px;
	}

	.footer__main_text {
		margin: 0px;
		margin-top: 0px;
		margin-bottom: 0px;
		font-size: calc(1.5 * var(--font0));
		letter-spacing: 2px;
		line-height: 0.8;
	}

	.footer__text {
		margin: 0px;
		font-size: 18px;
		white-space: pre;
		line-height: 1.2em;
	}

	.footer__city {
		margin: -15px 0px -15px 0px;
		font-size: calc(1.5 * var(--font1));
		text-align: right;
	}

	.footer__city-small {
		font-size: var(--font1);
		text-align: right;
		margin-top: -25px;
		margin-bottom: 0px;
	}

	.all_rights_date{
		margin-top: 0px;
	}
}

@media (min-width: 1200px) and (max-width: 1439px)
{
	:root {
		--gap-main: 25px;
		--font0: 32px;
		--font1: 24px;
		--font-text: 16px;
		--font-button: 18px;
	}

	.container {
		padding: 0 var(--gap-main);  
	}

	.left-adaptive {
		width: calc(100% - 250px - var(--gap-main));
		height: 370px;
		display: flex;
		flex-direction: column;
		justify-content: space-between;
	}

	.right-adaptive {
		width: 250px;
		height: 370px;
	}

	.text-main {
		line-height: 1.5em;
		margin-bottom: 10px;
	}

	.button {
		padding: 5px 20px;
	}

	.adaptive-button {
		padding: 5px 20px;
		margin: 0px 7px 7px 0px;		
	}

	.button:before, .adaptive-button:before {
		top: -7px;
		left:-7px;
		width: calc(100% + 14px);
		height: calc(100% + 14px);
	}

	.header {
		height: 100px;
	}

	.second-title {
		padding-bottom: 50px;
	}

	.logo-header {
		height: 90px;
		width: 90px;
		background-size: 78px 78px;
	}

	.progress-ring {
		margin: -15px 0px 0px -15px;
		height: 150px !important;
		width: 150px !important;
	}

	.languages__img {
		width: 35px;
		aspect-ratio: 1;
	}

	.languages__text {
		font-size: calc(0.7 * var(--font-text));
	}

	.greeting {
		padding-top: 70px;
		display: flex;
		flex-direction: row;
	}

	.canvas {
		height: calc(100vh - 50px);
		max-height: 700px;
	}

	.separator-arrowed {
		padding: 70px;
	}

	.separator-arrowed__div {
		width: 200px;
		height: 50px;
		background-size: 200px 50px;
	}

	.tutor__title {
		margin-top: 80px;
		font-size: 50px;
	}

	.tutor__description {
		margin-bottom: 200px;
		font-size: 24px;
		letter-spacing: 2px;
	}

	.tutor-image {
		margin-top: 15px;
	}

	.tutor-image__person {
		width: 300px;
		height: 350px;
		top: 30px;
		background-size: 300px 350px;
	}

	.tutor-image__wheel {
		width: 300px;
		height: 300px;
		top: 30px;
		background-size: 300px 300px;
	}

	.about-me__item {
		margin: 0px;
		padding: 10px 10px 10px 40px;
		background-size: 25px 25px;
		line-height: 1.5;
	}

	.yandex_education {
		width: 100%;
		height: 370px;
		background-size: 250px 370px;
		border-radius: var(--gap-main);
	}

	.left-adaptive .button {
		display: none;
	}

	.yandex_education__adaptive-button {
		display: block;
		text-align: right;
	}

	.subject__img {
		width: 200px;
		height: 133px;
		background-size: 200px 133px;
	}

	.prices__item {
		width: 20px;
		aspect-ratio: 1;
		margin-top: -10px;
	}

	.education-programm__icon {
		width: 220px;
		height: 200px;
	}

	.ep1, .ep2 {
		background-size: 120px 120px;
		margin: 25px var(--gap-main) -25px 0px;
	}

	.ep3 {
		background-size: 150px 150px;
	}

	.ep4 {
		background-size: 170px 170px;
	}

	.ep5, .ep6, .ep7 {
		background-size: 200px 200px;
	}

	.advantages-list__item {
		margin: 0px;
		padding: 25px 0px 25px 60px;
		background-size: 40px 40px;
		line-height: 1.5;
	}

	.accordion__button {
		padding: var(--gap-main) 0px var(--gap-main) var(--gap-main);
		font-size: var(--font1);
		background-size: 15px 25px;
	}

	.is-open button {
		background-size: 50px 25px;
	}

	.booking-content {
		padding: 0px 100px;
	}

	.booking-form {
		padding: 90px 0px 50px 0px;
	}

	.input-group {
		font-size: calc(0.6 * var(--font1));
		margin-bottom: calc((var(--font1)) / 2.5);
	}

	.input-group__label {
		width: 9vw;
		margin: 0px calc((var(--gap-main)) / 2) calc((var(--gap-main)) / 8) 0px;
		padding-top: 13px;
		line-height: 1;
	}

	.input-group__input {
		margin: 0px;
		padding: calc((var(--gap-main)) / 4) calc((var(--gap-main)) / 8);
		height: 3.5vw;
		border-radius: 15px;
	}

	.input-group__text {
		height: 17vw;
		border-radius: 15px;
	}

	#lti {
		margin-top: -15px;
	}

	.feedback__profi {
		width: 100%;
		height: 165vw;
		background-size: calc(100% - 2 * var(--gap-main)) 165vw;
	}

	.feedback__person-name {
		font-size: 1.2vw;
		line-height: 1.2vw;
	}

	.feedback__person-date {
		line-height: 1.2vw;
		margin-top: 10px;
		margin-bottom: -20px;
	}

	.feedback__button {
		border-width: 3px;
		border-radius: 12px;
		padding: 12px;
		margin: 0px 15px 15px 0px;
	}

	.slider-buttons {
		top: calc(0.6 * var(--frame));
	}

	.footer__columns {
		width: calc(100% - 120px - var(--gap-main));
	}

	.footer__left {
		height: 175px;
	}

	.footer__right {
		height: 175px;
	}

	.footer-logo {
		width: 120px;
		height: 110px;
	}

	.footer__copyright {
		font-size: calc(1.5 * var(--font-text));
		margin-right: 20px;
	}

	.footer__main_text {
		margin: 0px;
		margin-top: 0px;
		margin-bottom: 0px;
		font-size: calc(1.5 * var(--font0));
		letter-spacing: 2px;
		line-height: 0.8;
	}

	.footer__text {
		margin: 0px;
		font-size: 18px;
		white-space: pre;
		line-height: 1.2em;
	}

	.footer__city {
		margin: -15px 0px -15px 0px;
		font-size: calc(1.5 * var(--font1));
		text-align: right;
	}

	.footer__city-small {
		font-size: var(--font1);
		text-align: right;
		margin-top: -25px;
		margin-bottom: 0px;
	}

	.all_rights_date{
		margin-top: 0px;
	}
}